Subject: bug#73730: 31.0.50; Support for color fonts on MS-Windows

From: Cecilio Pardo <[email-masked]>
Date: Fri, 25 Oct 2024 12:17:37 +0200

On 25/10/2024 9:26, Eli Zaretskii wrote:

> Thanks, I will review this shortly.  Meanwhile, could you please look
> at how Emacs with this patch displays some complex Emoji sequences?
> Some of them look incorrect to me.  For example, this sequence from
> admin/unidata/emoji-zwj-sequences.txt:
> 
>    1F469 200D 1F469 200D 1F467 200D 1F466      ; RGI_Emoji_ZWJ_Sequence  ; family: woman, woman, girl, boy                                # E2.0   [1] (👩‍👩‍👧‍👦)
> 
> when displayed using Segoe UI Emoji, is shown with the "boy" part
> overlapping the closing parenthesis, which looks incorrect to me.
> "C-u C-x =" claims all of the codepoints of the sequence were composed
> into a single grapheme cluster, but it doesn't look like that on
> display, and the cursor doesn't include the "boy" part.

I dont's see that, but I do see that the individual glyphs are truncated 
on the left side, even when removing color rendering.  Do you see it? I 
will investigate this first, in case the defects are related.